Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-lf-2508.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/bug-lf-2508.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-lf-2508.exp
@@ -1,22 +1,22 @@
 <transition_graph cluster-delay="60s" stonith-timeout="240s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <pseudo_event id="22" operation="running" operation_key="Group01_running_0">
+      <pseudo_event id="23" operation="running" operation_key="Group01_running_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="19" operation="start" operation_key="Dummy01_start_0" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb"/>
+        <rsc_op id="20" operation="start" operation_key="Dummy01_start_0" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb"/>
       </trigger>
       <trigger>
-        <pseudo_event id="21" operation="start" operation_key="Group01_start_0"/>
+        <pseudo_event id="22" operation="start" operation_key="Group01_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <pseudo_event id="21" operation="start" operation_key="Group01_start_0">
+      <pseudo_event id="22" operation="start" operation_key="Group01_start_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
@@ -24,317 +24,317 @@
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="20" operation="monitor" operation_key="Dummy01_monitor_10000" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb">
+      <rsc_op id="21" operation="monitor" operation_key="Dummy01_monitor_10000" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb">
         <primitive id="Dummy01" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_on_node="srv01" CRM_meta_on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="19" operation="start" operation_key="Dummy01_start_0" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb"/>
+        <rsc_op id="20" operation="start" operation_key="Dummy01_start_0" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <rsc_op id="19" operation="start" operation_key="Dummy01_start_0" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb">
+      <rsc_op id="20" operation="start" operation_key="Dummy01_start_0" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb">
         <primitive id="Dummy01" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_on_node="srv01" CRM_meta_on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb" CRM_meta_requires="fencing" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="21" operation="start" operation_key="Group01_start_0"/>
+        <pseudo_event id="22" operation="start" operation_key="Group01_start_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="161" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="162" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <pseudo_event id="31" operation="stopped" operation_key="Group02_stopped_0">
+      <pseudo_event id="32" operation="stopped" operation_key="Group02_stopped_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="25" operation="stop" operation_key="Dummy02_stop_0"/>
+        <pseudo_event id="26" operation="stop" operation_key="Dummy02_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="30" operation="stop" operation_key="Group02_stop_0"/>
+        <pseudo_event id="31" operation="stop" operation_key="Group02_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
     <action_set>
-      <pseudo_event id="30" operation="stop" operation_key="Group02_stop_0">
+      <pseudo_event id="31" operation="stop" operation_key="Group02_stop_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="162" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="6">
     <action_set>
-      <pseudo_event id="29" operation="running" operation_key="Group02_running_0">
+      <pseudo_event id="30" operation="running" operation_key="Group02_running_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="26" operation="start" operation_key="Dummy02_start_0" on_node="srv04" on_node_uuid="82d8b53b-a29d-40f5-9a1d-156bf3b7af62"/>
+        <rsc_op id="27" operation="start" operation_key="Dummy02_start_0" on_node="srv04" on_node_uuid="82d8b53b-a29d-40f5-9a1d-156bf3b7af62"/>
       </trigger>
       <trigger>
-        <pseudo_event id="28" operation="start" operation_key="Group02_start_0"/>
+        <pseudo_event id="29" operation="start" operation_key="Group02_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <pseudo_event id="28" operation="start" operation_key="Group02_start_0">
+      <pseudo_event id="29" operation="start" operation_key="Group02_start_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="31" operation="stopped" operation_key="Group02_stopped_0"/>
+        <pseudo_event id="32" operation="stopped" operation_key="Group02_stopped_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="8">
     <action_set>
-      <rsc_op id="27" operation="monitor" operation_key="Dummy02_monitor_10000" on_node="srv04" on_node_uuid="82d8b53b-a29d-40f5-9a1d-156bf3b7af62">
+      <rsc_op id="28" operation="monitor" operation_key="Dummy02_monitor_10000" on_node="srv04" on_node_uuid="82d8b53b-a29d-40f5-9a1d-156bf3b7af62">
         <primitive id="Dummy02" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_on_node="srv04" CRM_meta_on_node_uuid="82d8b53b-a29d-40f5-9a1d-156bf3b7af62" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="26" operation="start" operation_key="Dummy02_start_0" on_node="srv04" on_node_uuid="82d8b53b-a29d-40f5-9a1d-156bf3b7af62"/>
+        <rsc_op id="27" operation="start" operation_key="Dummy02_start_0" on_node="srv04" on_node_uuid="82d8b53b-a29d-40f5-9a1d-156bf3b7af62"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="9">
     <action_set>
-      <rsc_op id="26" operation="start" operation_key="Dummy02_start_0" on_node="srv04" on_node_uuid="82d8b53b-a29d-40f5-9a1d-156bf3b7af62">
+      <rsc_op id="27" operation="start" operation_key="Dummy02_start_0" on_node="srv04" on_node_uuid="82d8b53b-a29d-40f5-9a1d-156bf3b7af62">
         <primitive id="Dummy02" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_on_node="srv04" CRM_meta_on_node_uuid="82d8b53b-a29d-40f5-9a1d-156bf3b7af62" CRM_meta_requires="fencing" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="25" operation="stop" operation_key="Dummy02_stop_0"/>
+        <pseudo_event id="26" operation="stop" operation_key="Dummy02_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="28" operation="start" operation_key="Group02_start_0"/>
+        <pseudo_event id="29" operation="start" operation_key="Group02_start_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="161" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="162" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="10">
     <action_set>
-      <pseudo_event id="25" operation="stop" operation_key="Dummy02_stop_0">
+      <pseudo_event id="26" operation="stop" operation_key="Dummy02_stop_0">
         <attributes CRM_meta_name="stop" CRM_meta_on_fail="fence" CRM_meta_timeout="60000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="30" operation="stop" operation_key="Group02_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
       </trigger>
       <trigger>
-        <crm_event id="162" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
+        <pseudo_event id="31" operation="stop" operation_key="Group02_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="11">
     <action_set>
-      <pseudo_event id="51" operation="stopped" operation_key="grpStonith1:1_stopped_0">
+      <pseudo_event id="52" operation="stopped" operation_key="grpStonith1:1_stopped_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="46" operation="stop" operation_key="prmStonith1-1:1_stop_0"/>
+        <pseudo_event id="47" operation="stop" operation_key="prmStonith1-1:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="47" operation="stop" operation_key="prmStonith1-3:1_stop_0"/>
+        <pseudo_event id="48" operation="stop" operation_key="prmStonith1-3:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="50" operation="stop" operation_key="grpStonith1:1_stop_0"/>
+        <pseudo_event id="51" operation="stop" operation_key="grpStonith1:1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="12">
     <action_set>
-      <pseudo_event id="50" operation="stop" operation_key="grpStonith1:1_stop_0">
+      <pseudo_event id="51" operation="stop" operation_key="grpStonith1:1_stop_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="66" operation="stop" operation_key="clnStonith1_stop_0"/>
+        <pseudo_event id="67" operation="stop" operation_key="clnStonith1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="13" priority="1">
     <action_set>
-      <pseudo_event id="46" operation="stop" operation_key="prmStonith1-1:1_stop_0">
+      <pseudo_event id="47" operation="stop" operation_key="prmStonith1-1:1_stop_0">
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="60000"  dead_check_target="192.168.40.10" hostlist="srv01" priority="1" run_quorum_check="yes" run_standby_wait="no" stonith-timeout="60s"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="47" operation="stop" operation_key="prmStonith1-3:1_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
       </trigger>
       <trigger>
-        <pseudo_event id="50" operation="stop" operation_key="grpStonith1:1_stop_0"/>
+        <pseudo_event id="48" operation="stop" operation_key="prmStonith1-3:1_stop_0"/>
       </trigger>
       <trigger>
-        <crm_event id="162" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
+        <pseudo_event id="51" operation="stop" operation_key="grpStonith1:1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="14" priority="3">
     <action_set>
-      <pseudo_event id="47" operation="stop" operation_key="prmStonith1-3:1_stop_0">
+      <pseudo_event id="48" operation="stop" operation_key="prmStonith1-3:1_stop_0">
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="60000"  hostlist="srv01" priority="3" stonith-timeout="60s"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="50" operation="stop" operation_key="grpStonith1:1_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
       </trigger>
       <trigger>
-        <crm_event id="162" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
+        <pseudo_event id="51" operation="stop" operation_key="grpStonith1:1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="15" priority="1000000">
     <action_set>
-      <pseudo_event id="67" operation="stopped" operation_key="clnStonith1_stopped_0">
+      <pseudo_event id="68" operation="stopped" operation_key="clnStonith1_stopped_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="51" operation="stopped" operation_key="grpStonith1:1_stopped_0"/>
+        <pseudo_event id="52" operation="stopped" operation_key="grpStonith1:1_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="66" operation="stop" operation_key="clnStonith1_stop_0"/>
+        <pseudo_event id="67" operation="stop" operation_key="clnStonith1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="16">
     <action_set>
-      <pseudo_event id="66" operation="stop" operation_key="clnStonith1_stop_0">
+      <pseudo_event id="67" operation="stop" operation_key="clnStonith1_stop_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="162" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="17">
     <action_set>
-      <pseudo_event id="105" operation="stopped" operation_key="grpStonith3:0_stopped_0">
+      <pseudo_event id="106" operation="stopped" operation_key="grpStonith3:0_stopped_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="100" operation="stop" operation_key="prmStonith3-1:1_stop_0" internal_operation_key="prmStonith3-1:0_stop_0"/>
+        <pseudo_event id="101" operation="stop" operation_key="prmStonith3-1:1_stop_0" internal_operation_key="prmStonith3-1:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="101" operation="stop" operation_key="prmStonith3-3:1_stop_0" internal_operation_key="prmStonith3-3:0_stop_0"/>
+        <pseudo_event id="102" operation="stop" operation_key="prmStonith3-3:1_stop_0" internal_operation_key="prmStonith3-3:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="104" operation="stop" operation_key="grpStonith3:0_stop_0"/>
+        <pseudo_event id="105" operation="stop" operation_key="grpStonith3:0_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="18">
     <action_set>
-      <pseudo_event id="104" operation="stop" operation_key="grpStonith3:0_stop_0">
+      <pseudo_event id="105" operation="stop" operation_key="grpStonith3:0_stop_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="129" operation="stop" operation_key="clnStonith3_stop_0"/>
+        <pseudo_event id="130" operation="stop" operation_key="clnStonith3_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="19" priority="1">
     <action_set>
-      <pseudo_event id="100" operation="stop" operation_key="prmStonith3-1:1_stop_0" internal_operation_key="prmStonith3-1:0_stop_0">
+      <pseudo_event id="101" operation="stop" operation_key="prmStonith3-1:1_stop_0" internal_operation_key="prmStonith3-1:0_stop_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="60000"  dead_check_target="192.168.40.30" hostlist="srv03" priority="1" run_quorum_check="yes" run_standby_wait="no" stonith-timeout="60s"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="101" operation="stop" operation_key="prmStonith3-3:1_stop_0" internal_operation_key="prmStonith3-3:0_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
       </trigger>
       <trigger>
-        <pseudo_event id="104" operation="stop" operation_key="grpStonith3:0_stop_0"/>
+        <pseudo_event id="102" operation="stop" operation_key="prmStonith3-3:1_stop_0" internal_operation_key="prmStonith3-3:0_stop_0"/>
       </trigger>
       <trigger>
-        <crm_event id="162" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
+        <pseudo_event id="105" operation="stop" operation_key="grpStonith3:0_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="20" priority="3">
     <action_set>
-      <pseudo_event id="101" operation="stop" operation_key="prmStonith3-3:1_stop_0" internal_operation_key="prmStonith3-3:0_stop_0">
+      <pseudo_event id="102" operation="stop" operation_key="prmStonith3-3:1_stop_0" internal_operation_key="prmStonith3-3:0_stop_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="60000"  hostlist="srv03" priority="3" stonith-timeout="60s"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="104" operation="stop" operation_key="grpStonith3:0_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
       </trigger>
       <trigger>
-        <crm_event id="162" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
+        <pseudo_event id="105" operation="stop" operation_key="grpStonith3:0_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="21">
     <action_set>
-      <pseudo_event id="112" operation="running" operation_key="grpStonith3:1_running_0">
+      <pseudo_event id="113" operation="running" operation_key="grpStonith3:1_running_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="109" operation="start" operation_key="prmStonith3-3:1_start_0" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb"/>
+        <rsc_op id="110" operation="start" operation_key="prmStonith3-3:1_start_0" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb"/>
       </trigger>
       <trigger>
-        <pseudo_event id="111" operation="start" operation_key="grpStonith3:1_start_0"/>
+        <pseudo_event id="112" operation="start" operation_key="grpStonith3:1_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="22">
     <action_set>
-      <pseudo_event id="111" operation="start" operation_key="grpStonith3:1_start_0">
+      <pseudo_event id="112" operation="start" operation_key="grpStonith3:1_start_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="127" operation="start" operation_key="clnStonith3_start_0"/>
+        <pseudo_event id="128" operation="start" operation_key="clnStonith3_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="23" priority="1">
     <action_set>
-      <rsc_op id="108" operation="monitor" operation_key="prmStonith3-1:1_monitor_3600000" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb">
+      <rsc_op id="109" operation="monitor" operation_key="prmStonith3-1:1_monitor_3600000" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb">
         <primitive id="prmStonith3-1" long-id="prmStonith3-1:1" class="stonith" type="external/stonith-helper"/>
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="3600000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="srv01" CRM_meta_on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb" CRM_meta_timeout="60000"  dead_check_target="192.168.40.30" hostlist="srv03" priority="1" run_quorum_check="yes" run_standby_wait="no" stonith-timeout="60s"/>
       </rsc_op>
